Bug 1002531 - Account provider: create user with already created home
Account provider: create user with already created home
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openlmi-providers (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
Robin Hack
:
Depends On:
Blocks: 922084
  Show dependency treegraph
 
Reported: 2013-08-29 08:01 EDT by Petr Sklenar
Modified: 2015-03-03 18:06 EST (History)
2 users (show)

See Also:
Fixed In Version: openlmi-providers-0.3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:29:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-08-29 08:01:53 EDT
Description of problem:
Account provider: create user with already created home

Version-Release number of selected component (if applicable):
openlmi-account-0.1.1-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1,
>>> cs = self.conn.root.cimv2.Linux_ComputerSystem.first_instance()
>>> lams = self.conn.root.cimv2.LMI_AccountManagementService.first_instance()

2, mkdir /home/someuser
3, try to create user
>>> user = lams.CreateAccount(Name="someuser", System=cs)
>>> user
LMIReturnValue(rval=-1, rparams={}, errorstr=u"CIM_ERR_FAILED: Error creating homedir: Error creating `/home/someuser': File exists\n: 'CreateAccount'")


Actual results:
there is an error but user is created

Expected results:
there is no error and I can recognize that user is created. But there is just some warning.

Additional info:
Comment 2 Roman Rakus 2013-08-29 09:07:22 EDT
Thanks for the report. I will take a look.
Comment 3 Roman Rakus 2013-09-04 10:54:30 EDT
Return values of methods should be reworked as well as status codes.
I will add several return codes with descriptions, so the caller should know the state of the system after the call.
Comment 4 Roman Rakus 2013-09-06 08:31:35 EDT
Fix pushed upstream.
Comment 6 Ludek Smid 2014-06-13 07:29:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.